[LibreOffice] - libreoffice-writer.desktop when drag/drop to desktop, 100% broken.

Bug #1200277 reported by Greg Vallande on 2013-07-11
28
This bug affects 4 people
Affects Status Importance Assigned to Milestone
GNOME Panel
Invalid
Undecided
Unassigned
libreoffice (Ubuntu)
Medium
Björn Michaelsen
Precise
Medium
Unassigned

Bug Description

[Impact]
Attempting to drag and drop within Unity (to create a desktop shortcut) creates a broken link.

[Test Case]

1. Login to gnome fallback session
http://askubuntu.com/questions/58172/how-to-revert-to-gnome-classic-desktop
2. Ensure nautilus is used for managing desktop
http://askubuntu.com/questions/43246/how-to-configure-gnome-3-to-show-icons-on-desktop
2. Drag and drop libreoffice (writer) icon to desktop

Actual Results: Broken Shortcut ( dangling symlink )
Expected Results: Shortcut to be created

Alternatively,
$ file /usr/share/applications/libreoffice-writer.desktop
/usr/share/applications/libreoffice-writer.desktop: symbolic link to `/usr/lib/libreoffice/share/xdg/writer.desktop'

[Regression Potential]
 none

[Other Info]
  patch attached to copy the .desktop file, rather than create a symlink as seen with other distributions.

Greg Vallande (gvallande) wrote :
affects: revelation (Ubuntu) → ubuntu
affects: ubuntu → gnome-panel (Ubuntu)
affects: gnome-panel (Ubuntu) → ubuntu
Greg Vallande (gvallande) wrote :
tags: added: libreoffice
tags: removed: libreoffice
affects: ubuntu → libreoffice (Ubuntu)
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in libreoffice (Ubuntu):
status: New → Confirmed

Where is the .desktop file drag-n-dropped from? The menu? Somewhere in the file system with nautilus? Whereever I try drag-n-drop I end up with nautilus complaining about a "Untrusted application launcher"/"The application launcher has not been marked as being trusted", which is healed with a "chmod a+x". So please provide exact steps to reproduce.

Changed in libreoffice (Ubuntu):
status: Confirmed → Incomplete
Greg Vallande (gvallande) wrote :

@Bjorn,

   Dragging from the menu (gnome-session-fallback) to the desktop creates a broken link. If you check the screenshots attached those are what I see when I create that shortcut on the desktop (and the user is also seeing this.)

Changed in libreoffice (Ubuntu):
status: Incomplete → New
affects: df-libreoffice → gnome-panel

The attachment "proposed patch for precise" seems to be a patch. If it isn't, please remove the "patch" flag from the attachment, remove the "patch" tag, and if you are a member of the ~ubuntu-reviewers, unsubscribe the team.

[This is an automated message performed by a Launchpad user owned by ~brian-murray, for any issues please contact him.]

tags: added: patch
Jorge Salamero Sanz (bencer) wrote :

Provided patch doesn't create the new launcher with execution privileges, then gnome panel doesn't take is as trusted and cannot be run. A manual chmod+x over the ~/Desktop/writer.desktop file workarounds this.

Changed in libreoffice (Ubuntu):
status: New → Invalid
Ritesh Khadgaray (khadgaray) wrote :

This is the expected behaviour. Execute bit will not be enabled as this is an untrusted location ( /usr/lib/libreoffice/share/xdg) . The desktop entries from "/usr/share/applications" and "Desktop" are trusted .

This can be seen by dragging and dropping desktop file to any other location apart from desktop, such as $HOME. To fix this, enable execute bit on the desktop file by right clicking and selecting Properties->Permission->Check execute bit .

----------------------------------------------------------------------------

To fix this libreoffice would need to save the desktop files to "/usr/share/applications", instead of creating symlink.

-- ritz

Changed in libreoffice (Ubuntu):
status: Invalid → New
Ritesh Khadgaray (khadgaray) wrote :

Okay, figured this bit out. I believe this is created by lo itself. Testing this further.

--- a/sysui/desktop/share/create_tree.sh 2013-12-10 13:03:40.604235621 +0530
+++ b/sysui/desktop/share/create_tree.sh 2013-12-10 13:03:52.632235118 +0530
@@ -83,6 +83,6 @@ chmod 0644 "${DESTDIR}/usr/share/mime/pa

 mkdir -p "${DESTDIR}/usr/share/applications"
 for i in `cat launcherlist`; do
- ln -sf "${office_root}/share/xdg/${i}" "${DESTDIR}/usr/share/applications/${PREFIX}-${i}"
+ cp "${office_root}/share/xdg/${i}" "${DESTDIR}/usr/share/applications/${PREFIX}-${i}"
 done

Ritesh Khadgaray (khadgaray) wrote :
Ritesh Khadgaray (khadgaray) wrote :

gnome-panel is deprecated. Will focus the fix on lo, to copy the desktop entry rather than symlink to create a trusted link.

Changed in gnome-panel:
status: New → Invalid
Jorge Salamero Sanz (bencer) wrote :

I can confirm the fix with #10 patch. Any chances to upload this patch for 12.10?

description: updated
Changed in libreoffice (Ubuntu):
assignee: nobody → Björn Michaelsen (bjoern-michaelsen)
importance: Undecided → Low
Ritesh Khadgaray (khadgaray) wrote :

Assuming XFCE and Gnome classic to work the same here, this works as expected on Ubuntu 13.10/XFCE. Thus closing as fixed released as it is fixed in the latest Ubuntu release. This might be included in an update for Ubuntu 12.04 (or another series), if you desire so, please target the bug appropriately. Note though, this alone does not appear to justify to roll our a LTS update of LibreOffice, so it would need to wait until there is a serious issue that it can piggyback upon.

Changed in libreoffice (Ubuntu):
status: New → Fix Released
Ritesh Khadgaray (khadgaray) wrote :

I dont see this fixed in trusty. I have attached a screenshot describing the issue.

libreoffice creates a symlink , which does not play nice with desktop.
evince is not a symlink, thus the user is presented with an to mark it as executable or ignore

Chris J Arges (arges) on 2014-01-17
Changed in libreoffice (Ubuntu):
status: Fix Released → Confirmed
Ritesh Khadgaray (khadgaray) wrote :
Brian Murray (brian-murray) wrote :

I've unsubscribed the sponsors team as this is assigned to the LibreOffice maintainer and he indicates that an SRU for libreoffice should include more than just this fix.

Chris J Arges (arges) on 2014-02-24
Changed in libreoffice (Ubuntu):
importance: Low → Medium
Ritesh Khadgaray (khadgaray) wrote :

Hi @bjoern-michaelsen

  fixed for trusty/precise, from https://launchpad.net/~bjoern-michaelsen/+archive/libreoffice-staging .

Thanks

@Ritesh: Thanks for the confirmation. The fixed trusty/4-2 version is now in https://launchpad.net/~libreoffice/+archive/ppa, the fixed precise/3.5 version is now in https://launchpad.net/~libreoffice/+archive/libreoffice-3-5.

Changed in libreoffice (Ubuntu):
status: Confirmed → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libreoffice - 1:4.2.3~rc2-0ubuntu1

---------------
libreoffice (1:4.2.3~rc2-0ubuntu1) trusty; urgency=medium

  [ Ritesh Khadgaray ]
  * fix symlink permissions (lp: #1200277)

  [ Bjoern Michaelsen ]
  * package libreoffice-help-en-us again (LP: #1288378)
  * make ConnectivityTools a normal target, so we can pack it
  * build libreoffice-subsequentcheckbase again
  * fix tests/junit-subsequentcheck
  * reenable junit
  * strip down -subsequentcheck deps
  * kill sensible-lomua.diff -- ExternalMailer should be good enough on all DEs
    now (LP: #1217191)
  * add jdk dep to -subsequentcheckbase
  * tweak java.library.path for autopkgtest
  * use gio when possible (LP: #1253620)
  * reenable Ubuntu palette
  * backport patch for fdo#74981 from 4.2.4
 -- Bjoern Michaelsen <email address hidden> Wed, 26 Mar 2014 00:30:50 +0100

Changed in libreoffice (Ubuntu):
status: Fix Committed → Fix Released
Steve Langasek (vorlon) on 2014-04-30
Changed in libreoffice (Ubuntu Precise):
importance: Undecided → Medium

Hello Greg, or anyone else affected,

Accepted libreoffice into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/libreoffice/1:3.5.7-0ubuntu6 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in libreoffice (Ubuntu Precise):
status: New → Fix Committed
tags: added: verification-needed
Steve Langasek (vorlon) wrote :

Hello Greg, or anyone else affected,

Accepted libreoffice into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/libreoffice/1:3.5.7-0ubuntu6.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-done
removed: verification-needed

The verification of the Stable Release Update for libreoffice has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libreoffice - 1:3.5.7-0ubuntu6.1

---------------
libreoffice (1:3.5.7-0ubuntu6.1) precise; urgency=medium

  * guard symlink change for special cased platforms

libreoffice (1:3.5.7-0ubuntu6) precise; urgency=low

  [ Ritesh Khadgaray ]
  * fix symlink permissions (LP: #1200277)

  [ Bjoern Michaelsen ]
  * add OOXML fix (LP: #1316243)
  * drop unused and upstreamed patches:
    - lp-1194740-fdo-50304-fix-xls-row-height-again.diff
    - lp-1194740-fdo-51878-fix-regression-of-size-ballooning.diff
 -- Bjoern Michaelsen <email address hidden> Thu, 08 May 2014 23:48:13 +0200

Changed in libreoffice (Ubuntu Precise):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers